Index: lib/admin/admin.js
===================================================================
--- lib/admin/admin.js	(revision 6988)
+++ lib/admin/admin.js	(revision 6989)
@@ -125,8 +125,8 @@
 }
 
 function helpWindow(context, helpFile) {
-	fileLoc = context + "/docs/user/" + helpFile;
-	window.open(fileLoc,'mywindow','width=750,height=200,scrollbars=yes,location=no,status=no');
+	fileLoc = context + "/" + helpFile;
+	window.open(fileLoc,'mywindow','width=1050,height=800,scrollbars=yes,location=no,status=no');
 }
 
 
Index: lib/admin/dataone-configuration.jsp
===================================================================
--- lib/admin/dataone-configuration.jsp	(revision 6988)
+++ lib/admin/dataone-configuration.jsp	(revision 6989)
@@ -80,7 +80,7 @@
 	
 	<div class="form-row">
 		<img class="question-mark" src="style/images/question-mark.gif" 
-			onClick="helpWindow('<%= request.getContextPath() %>','metacat-configure.html#dataone')"/>
+			onClick="helpWindow('<%= request.getContextPath() %>','docs/dataone.html#configuring-metacat-as-a-member-node')"/>
 		<div class="textinput-label">
 			<label for="dataone.nodeName" title="A short, human-readable name for this node">Node Name</label>
 		</div>
@@ -91,7 +91,7 @@
 	</div>
 	<div class="form-row">
 		<img class="question-mark" src="style/images/question-mark.gif" 
-			onClick="helpWindow('<%= request.getContextPath() %>','metacat-configure.html#dataone')"/>
+			onClick="helpWindow('<%= request.getContextPath() %>','docs/dataone.html#configuring-metacat-as-a-member-node')"/>
 		<div class="textinput-label">
 			<label for="dataone.nodeDescription" title="A brief description of the node and its holdings">Node Description</label>
 		</div>
@@ -102,7 +102,7 @@
 	</div>
 	<div class="form-row">
 		<img class="question-mark" src="style/images/question-mark.gif" 
-			onClick="helpWindow('<%= request.getContextPath() %>','metacat-configure.html#dataone')"/>
+			onClick="helpWindow('<%= request.getContextPath() %>','docs/dataone.html#configuring-metacat-as-a-member-node')"/>
 		<div class="textinput-label">
 			<label for="dataone.memberNodeId" title="The DataONE-assigned unique identifier for this node">Node Identifier</label>
 		</div>
@@ -113,7 +113,7 @@
 	</div>
 	<div class="form-row">
 		<img class="question-mark" src="style/images/question-mark.gif" 
-			onClick="helpWindow('<%= request.getContextPath() %>','metacat-configure.html#dataone')"/>
+			onClick="helpWindow('<%= request.getContextPath() %>','docs/dataone.html#configuring-metacat-as-a-member-node')"/>
 		<div class="textinput-label">
 			<label for="dataone.subject" title="The account in Distinguished Name (DN) format that represents this node in all service interactions">Node Subject</label>
 		</div>
@@ -124,7 +124,7 @@
 	</div>
 	<div class="form-row">
 		<img class="question-mark" src="style/images/question-mark.gif" 
-			onClick="helpWindow('<%= request.getContextPath() %>','metacat-configure.html#dataone')"/>
+			onClick="helpWindow('<%= request.getContextPath() %>','docs/dataone.html#configuring-metacat-as-a-member-node')"/>
 		<div class="textinput-label">
 			<label for="dataone.contactSubject" title="A verified account in DN format to be used as the primary node contact for this node">Contact Subject</label>
 		</div>
@@ -135,7 +135,7 @@
 	</div>
 	<div class="form-row">
 		<img class="question-mark" src="style/images/question-mark.gif" 
-			onClick="helpWindow('<%= request.getContextPath() %>','metacat-configure.html#dataone')"/>
+			onClick="helpWindow('<%= request.getContextPath() %>','docs/dataone.html#configuring-metacat-as-a-member-node')"/>
 		<div class="textinput-label">
 			<label for="D1Client.certificate.file" title="The absolute path to the X.509 certificate used to authenticate this node">Node Certificate Path</label>
 		</div>
@@ -146,7 +146,7 @@
 	</div>
 	<div class="form-row">
 		<img class="question-mark" src="style/images/question-mark.gif" 
-			onClick="helpWindow('<%= request.getContextPath() %>','metacat-configure.html#dataone')"/>
+			onClick="helpWindow('<%= request.getContextPath() %>','docs/dataone.html#configuring-metacat-as-a-member-node')"/>
 		<div class="textinput-label"><label for="dataone.nodeSynchronize" title="Enable DataONE services by synchronizing metadata">Enable DataONE Services</label></div>
 
 		<%
@@ -181,7 +181,7 @@
 	<hr class="config-line">
 	<div class="form-row">
 		<img class="question-mark" src="style/images/question-mark.gif" 
-			onClick="helpWindow('<%= request.getContextPath() %>','metacat-configure.html#dataone')"/>
+			onClick="helpWindow('<%= request.getContextPath() %>','docs/dataone.html#configuring-metacat-as-a-member-node')"/>
 		<div class="textinput-label">
 			<label for="dataone.nodeSynchronization.schedule.year" title="Year">Year</label>
 		</div>
@@ -192,7 +192,7 @@
 	</div>
 	<div class="form-row">
 		<img class="question-mark" src="style/images/question-mark.gif" 
-			onClick="helpWindow('<%= request.getContextPath() %>','metacat-configure.html#dataone')"/>
+			onClick="helpWindow('<%= request.getContextPath() %>','docs/dataone.html#configuring-metacat-as-a-member-node')"/>
 		<div class="textinput-label">
 			<label for="dataone.nodeSynchronization.schedule.mon" title="Month">Month</label>
 		</div>
@@ -203,7 +203,7 @@
 	</div>
 	<div class="form-row">
 		<img class="question-mark" src="style/images/question-mark.gif" 
-			onClick="helpWindow('<%= request.getContextPath() %>','metacat-configure.html#dataone')"/>
+			onClick="helpWindow('<%= request.getContextPath() %>','docs/dataone.html#configuring-metacat-as-a-member-node')"/>
 		<div class="textinput-label">
 			<label for="dataone.nodeSynchronization.schedule.mday" title="Day of Month">Day of Month</label>
 		</div>
@@ -214,7 +214,7 @@
 	</div>
 	<div class="form-row">
 		<img class="question-mark" src="style/images/question-mark.gif" 
-			onClick="helpWindow('<%= request.getContextPath() %>','metacat-configure.html#dataone')"/>
+			onClick="helpWindow('<%= request.getContextPath() %>','docs/dataone.html#configuring-metacat-as-a-member-node')"/>
 		<div class="textinput-label">
 			<label for="dataone.nodeSynchronization.schedule.wday" title="Day of Week">Day of Week</label>
 		</div>
@@ -225,7 +225,7 @@
 	</div>
 	<div class="form-row">
 		<img class="question-mark" src="style/images/question-mark.gif" 
-			onClick="helpWindow('<%= request.getContextPath() %>','metacat-configure.html#dataone')"/>
+			onClick="helpWindow('<%= request.getContextPath() %>','docs/dataone.html#configuring-metacat-as-a-member-node')"/>
 		<div class="textinput-label">
 			<label for="dataone.nodeSynchronization.schedule.hour" title="Hours">Hours</label>
 		</div>
@@ -236,7 +236,7 @@
 	</div>
 	<div class="form-row">
 		<img class="question-mark" src="style/images/question-mark.gif" 
-			onClick="helpWindow('<%= request.getContextPath() %>','metacat-configure.html#dataone')"/>
+			onClick="helpWindow('<%= request.getContextPath() %>','docs/dataone.html#configuring-metacat-as-a-member-node')"/>
 		<div class="textinput-label">
 			<label for="dataone.nodeSynchronization.schedule.min" title="Minutes">Minutes</label>
 		</div>
@@ -247,7 +247,7 @@
 	</div>
 	<div class="form-row">
 		<img class="question-mark" src="style/images/question-mark.gif" 
-			onClick="helpWindow('<%= request.getContextPath() %>','metacat-configure.html#dataone')"/>
+			onClick="helpWindow('<%= request.getContextPath() %>','docs/dataone.html#configuring-metacat-as-a-member-node')"/>
 		<div class="textinput-label">
 			<label for="dataone.nodeSynchronization.schedule.sec" title="Seconds">Seconds</label>
 		</div>
@@ -264,7 +264,7 @@
 	<hr class="config-line">
 	<div class="form-row">
 		<img class="question-mark" src="style/images/question-mark.gif" 
-			onClick="helpWindow('<%= request.getContextPath() %>','metacat-configure.html#dataone')"/>
+			onClick="helpWindow('<%= request.getContextPath() %>','docs/dataone.html#configuring-metacat-as-a-member-node')"/>
 		<div class="textinput-label"><label for="dataone.nodeReplicate" title="Store replicas from other Member Nodes">Accept and Store Replicas</label></div>
 
 		<%
@@ -294,7 +294,7 @@
 
  	<div class="form-row">
 		<img class="question-mark" src="style/images/question-mark.gif" 
-			onClick="helpWindow('<%= request.getContextPath() %>','metacat-configure.html#dataone')"/>
+			onClick="helpWindow('<%= request.getContextPath() %>','docs/dataone.html#configuring-metacat-as-a-member-node')"/>
 		<div class="textinput-label">
 			<label for="dataone.replicationpolicy.default.numreplicas" title="Default Number of Replicas to be created for local objects">Default Number of Replicas</label>
 		</div>
@@ -305,7 +305,7 @@
 	</div>
   	<div class="form-row">
 		<img class="question-mark" src="style/images/question-mark.gif" 
-			onClick="helpWindow('<%= request.getContextPath() %>','metacat-configure.html#dataone')"/>
+			onClick="helpWindow('<%= request.getContextPath() %>','docs/dataone.html#configuring-metacat-as-a-member-node')"/>
 		<div class="textinput-label">
 			<label for="dataone.replicationpolicy.default.preferredNodeList" title="A comma-separated list of preferred nodes to house replicas">Default Preferred Nodes</label>
 		</div>
@@ -316,7 +316,7 @@
 	</div>
    	<div class="form-row">
 		<img class="question-mark" src="style/images/question-mark.gif" 
-			onClick="helpWindow('<%= request.getContextPath() %>','metacat-configure.html#dataone')"/>
+			onClick="helpWindow('<%= request.getContextPath() %>','docs/dataone.html#configuring-metacat-as-a-member-node')"/>
 		<div class="textinput-label">
 			<label for="dataone.replicationpolicy.default.blockedNodeList" title="A comma-separated list of blocked nodes never to house replicas">Default Blocked Nodes</label>
 		</div>
Index: docs/user/metacat/source/dataone.rst
===================================================================
--- docs/user/metacat/source/dataone.rst	(revision 6988)
+++ docs/user/metacat/source/dataone.rst	(revision 6989)
@@ -158,7 +158,7 @@
 registers with the DataONE Coordinating Nodes (when you click 'Register' at the
 bottom of this form), the Node Identifier is automatically set.  **It is critical that
 you not change the Node Identifier**, as that will break the connection with the
-DataONE network.  The ability to edit this field is only provided for the rare case
+DataONE network.  Changing this field should only happen in the rare case
 in which a new Metacat instance is being established to act as the provider for an 
 existing DataONE Member Node, in which case the field can be edited to set it to
 the value of a valid, existing Node Identifier.
@@ -167,17 +167,18 @@
 proper operation of the node.  To act as a Member Node in DataONE, you must obtain
 an X.509 certificate that can be used to identify this node and allow it to securely
 communicate using SSL with other nodes and client applications.  This certificate can 
-either be obtained from the DataONE Certificate Authority, or from a commercial 
-provider of certificates. Once you have the certificate in hand, use a tool such 
+be obtained from the DataONE Certificate Authority. 
+Once you have the certificate in hand, use a tool such 
 as ``openssl`` to determine the exact subject distinguished name in the 
 certificate, and use that to set the Node Subject field.  Set the Node 
 Certificate Path to the location on the system in which you stored the 
-certificate file.
+certificate file. Be sure to protect the certificate file, as it contains the
+private key that is used to authenticate this node within DataONE.
 
-The ``Synchronize`` checkbox allows the administrator to decide whether to turn on
-synchronization with the DataONE network.  When this box is unchecked, the DataONE
-Coordinating Nodes will not attempt to synchronize at all, but when checked, then
-DataONE will periodically contact the node to synchrnize all metadata content.
+The ``Enable DataONE Services`` checkbox allows the administrator to decide whether to 
+turn on synchronization with the DataONE network.  When this box is unchecked, the 
+DataONE Coordinating Nodes will not attempt to synchronize at all, but when checked, 
+then DataONE will periodically contact the node to synchrnize all metadata content.
 To be part of the DataONE network, this box must be checked as that allows 
 DataONE to receive a copy of the metadata associated with each object in the Metacat
 system.  The switch is provided for those rare cases when a node needs to be disconnected
@@ -191,6 +192,24 @@
 hour (such as ``11``) and the ``Minutes`` field to a concrete value like``15``, 
 which would change the schedule to synchronize at 11:15 am daily.  
 
+The Replication section is used to configure replication options for the node
+overall and for objects stored in Metacat.  The ``Accept and Store Replicas``
+checkbox is used to indicate that the administrator of this node is willing to allow
+replica data and metadata from other Member Nodes to be stored on this node.  We
+encourage people to allow replication to their nodes, as this increases the
+scalability and flexibility of the network overall.  The three "Default" fields set
+the default values for the replication policies for data and metadata on this node
+that are generated when System Metadata is not available for an object (such as when
+it originates from a client that is not DataONE compliant).  The ``Default Number of
+Replicas`` determines how many replica copies of the object should be stored on
+other Member Nodes.  A value of 0 or less indicates that no replicas should be
+stored.  In addition, you can specify a list of nodes that are either preferred for
+use when choosing replica nodes, or that are blocked from use as replica nodes.
+This allows Member Nodes to set up bidirectional agreements with partner nodes to
+replicate data across their sites. The values for both ``Default Preferred Nodes``
+and ``Default Blocked Nodes`` is a comma-separated list of NodeReference identifiers 
+that were assigned to the target nodes by DataONE.
+
 Once these parameters have been properly set, us the ``Register`` button to
 request to register with the DataONE Coordinating Node.  This will generate a
 registration document describing this Metacat instance and send it to the 
Index: docs/user/metacat/source/images/screenshots/screen-dataone-config.png
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream