Index: lib/d1_common_java-1.0.1-RC5-SNAPSHOT.jar
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream

Property changes on: lib/d1_common_java-1.0.1-RC5-SNAPSHOT.jar
___________________________________________________________________
Deleted: svn:mime-type
## -1 +0,0 ##
-application/octet-stream
\ No newline at end of property
Index: lib/d1_libclient_java-1.0.1-RC5-SNAPSHOT.jar
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream

Property changes on: lib/d1_libclient_java-1.0.1-RC5-SNAPSHOT.jar
___________________________________________________________________
Deleted: svn:mime-type
## -1 +0,0 ##
-application/octet-stream
\ No newline at end of property
Index: test/edu/ucsb/nceas/metacat/dataone/MNodeServiceTest.java
===================================================================
--- test/edu/ucsb/nceas/metacat/dataone/MNodeServiceTest.java	(revision 7098)
+++ test/edu/ucsb/nceas/metacat/dataone/MNodeServiceTest.java	(revision 7099)
@@ -816,7 +816,7 @@
 	    int count = 1;
     
       log = MNodeService.getInstance(request).getLogRecords(session, fromDate, toDate, 
-        event, start, count);
+        event, start, count, null);
       
       assertNotNull(log);      
       assertTrue(log.getCount() == count);
Index: test/edu/ucsb/nceas/metacat/dataone/CNodeServiceTest.java
===================================================================
--- test/edu/ucsb/nceas/metacat/dataone/CNodeServiceTest.java	(revision 7098)
+++ test/edu/ucsb/nceas/metacat/dataone/CNodeServiceTest.java	(revision 7099)
@@ -166,7 +166,7 @@
 		    int count = 1;
 	    
 		    Log log = CNodeService.getInstance(request).getLogRecords(session, fromDate, toDate, 
-		    	event, start, count);
+		    	event, start, count, null);
 		    assertNotNull(log);
 		    assertTrue(log.getCount() == count);
 		    assertTrue(log.getStart() == start);
Index: lib/d1_common_java-1.0.1-RC6-SNAPSHOT.jar
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream

Property changes on: lib/d1_common_java-1.0.1-RC6-SNAPSHOT.jar
___________________________________________________________________
Added: svn:mime-type
## -0,0 +1 ##
+application/octet-stream
\ No newline at end of property
Index: lib/d1_libclient_java-1.0.1-RC7-SNAPSHOT.jar
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream

Property changes on: lib/d1_libclient_java-1.0.1-RC7-SNAPSHOT.jar
___________________________________________________________________
Added: svn:mime-type
## -0,0 +1 ##
+application/octet-stream
\ No newline at end of property
Index: src/edu/ucsb/nceas/metacat/restservice/MNResourceHandler.java
===================================================================
--- src/edu/ucsb/nceas/metacat/restservice/MNResourceHandler.java	(revision 7098)
+++ src/edu/ucsb/nceas/metacat/restservice/MNResourceHandler.java	(revision 7099)
@@ -797,6 +797,7 @@
         Event event = null;
         Integer start = null;
         Integer count = null;
+        String pidFilter = null;
         
         try {
         	String fromDateS = params.get("fromDate")[0];
@@ -831,8 +832,14 @@
 			logMetacat.warn("Could not parse count: " + e.getMessage());
 		}
         
+        try {
+            pidFilter = params.get("pidFilter")[0];
+        } catch (Exception e) {
+            logMetacat.warn("Could not parse pidFilter: " + e.getMessage());
+        }
+        
         logMetacat.debug("calling getLogRecords");
-        Log log = MNodeService.getInstance(request).getLogRecords(session, fromDate, toDate, event, start, count);
+        Log log = MNodeService.getInstance(request).getLogRecords(session, fromDate, toDate, event, start, count, pidFilter);
         
         OutputStream out = response.getOutputStream();
         response.setStatus(200);
Index: src/edu/ucsb/nceas/metacat/restservice/CNResourceHandler.java
===================================================================
--- src/edu/ucsb/nceas/metacat/restservice/CNResourceHandler.java	(revision 7098)
+++ src/edu/ucsb/nceas/metacat/restservice/CNResourceHandler.java	(revision 7099)
@@ -453,6 +453,7 @@
         Event event = null;
         Integer start = null;
         Integer count = null;
+        String pidFilter = null;
 
         try {
             String fromDateS = params.get("fromDate")[0];
@@ -487,9 +488,15 @@
             logMetacat.warn("Could not parse count: " + e.getMessage());
         }
 
+        try {
+            pidFilter = params.get("pidFilter")[0];
+        } catch (Exception e) {
+            logMetacat.warn("Could not parse pidFilter: " + e.getMessage());
+        }
+        
         logMetacat.debug("calling getLogRecords");
         Log log = CNodeService.getInstance(request).getLogRecords(session,
-                fromDate, toDate, event, start, count);
+                fromDate, toDate, event, start, count, pidFilter);
 
         OutputStream out = response.getOutputStream();
         response.setStatus(200);
Index: src/edu/ucsb/nceas/metacat/dataone/MNodeService.java
===================================================================
--- src/edu/ucsb/nceas/metacat/dataone/MNodeService.java	(revision 7098)
+++ src/edu/ucsb/nceas/metacat/dataone/MNodeService.java	(revision 7099)
@@ -870,7 +870,7 @@
         try {
 
             // get log records first
-            Log logs = getLogRecords(session, startTime, endTime, event, 0, null);
+            Log logs = getLogRecords(session, startTime, endTime, event, 0, null, null);
 
             // TODO: aggregate by day or hour -- needs clarification
             int count = 1;
@@ -1186,5 +1186,12 @@
 
 
     }
+
+	@Override
+	public Identifier generateIdentifier(Session arg0, String arg1, String arg2)
+			throws InvalidToken, ServiceFailure, NotAuthorized, NotImplemented,
+			InvalidRequest {
+		throw new NotImplemented("2194", "Member Node does not implement generateIdentifier method");
+	}
     
 }
Index: src/edu/ucsb/nceas/metacat/dataone/D1NodeService.java
===================================================================
--- src/edu/ucsb/nceas/metacat/dataone/D1NodeService.java	(revision 7098)
+++ src/edu/ucsb/nceas/metacat/dataone/D1NodeService.java	(revision 7099)
@@ -448,7 +448,7 @@
    * @throws NotImplemented
    */
   public Log getLogRecords(Session session, Date fromDate, Date toDate, 
-      Event event, Integer start, Integer count) throws InvalidToken, ServiceFailure,
+      Event event, Integer start, Integer count, String pidFilter) throws InvalidToken, ServiceFailure,
       NotAuthorized, InvalidRequest, NotImplemented {
 
 