Index: lib/metacat.properties
===================================================================
--- lib/metacat.properties	(revision 7275)
+++ lib/metacat.properties	(revision 7276)
@@ -22,7 +22,7 @@
 ############### Application Values ############
 
 ## one of the few places where we use ANT tokens
-application.metacatVersion=2.0.0
+application.metacatVersion=2.0.1
 application.metacatReleaseInfo=-1
 
 application.deployDir=
@@ -72,6 +72,7 @@
 database.upgradeVersion.1.9.4=upgrade-db-to-1.9.4
 database.upgradeVersion.1.9.5=upgrade-db-to-1.9.5
 database.upgradeVersion.2.0.0=upgrade-db-to-2.0.0
+database.upgradeVersion.2.0.1=upgrade-db-to-2.0.1
 ## for running java-based utilities
 database.upgradeUtility.1.5.0=edu.ucsb.nceas.metacat.admin.upgrade.Upgrade1_5_0
 database.upgradeUtility.2.0.0=edu.ucsb.nceas.metacat.admin.upgrade.Upgrade2_0_0
Index: src/upgrade-db-to-2.0.1-postgres.sql
===================================================================
--- src/upgrade-db-to-2.0.1-postgres.sql	(nonexistent)
+++ src/upgrade-db-to-2.0.1-postgres.sql	(revision 7276)
@@ -0,0 +1,7 @@
+/*
+ * update the database version
+ */
+UPDATE db_version SET status=0;
+
+INSERT INTO db_version (version, status, date_created) 
+  VALUES ('2.0.1', 1, CURRENT_DATE);
\ No newline at end of file

Property changes on: src/upgrade-db-to-2.0.1-postgres.sql
___________________________________________________________________
Added: svn:eol-style
## -0,0 +1 ##
+native
\ No newline at end of property
Added: svn:keywords
## -0,0 +1 ##
+Author Date Id Revision
\ No newline at end of property
Index: src/upgrade-db-to-2.0.1-oracle.sql
===================================================================
--- src/upgrade-db-to-2.0.1-oracle.sql	(nonexistent)
+++ src/upgrade-db-to-2.0.1-oracle.sql	(revision 7276)
@@ -0,0 +1,7 @@
+/*
+ * update the database version
+ */
+UPDATE db_version SET status=0;
+
+INSERT INTO db_version (version, status, date_created) 
+  VALUES ('2.0.1', 1, CURRENT_DATE);

Property changes on: src/upgrade-db-to-2.0.1-oracle.sql
___________________________________________________________________
Added: svn:eol-style
## -0,0 +1 ##
+native
\ No newline at end of property
Added: svn:keywords
## -0,0 +1 ##
+Author Date Id Revision
\ No newline at end of property
Index: docs/user/metacat/source/conf.py
===================================================================
--- docs/user/metacat/source/conf.py	(revision 7275)
+++ docs/user/metacat/source/conf.py	(revision 7276)
@@ -47,7 +47,7 @@
 # The short X.Y version.
 version = '2.0'
 # The full version, including alpha/beta/rc tags.
-release = '2.0.0'
+release = '2.0.1'
 
 # The language for content autogenerated by Sphinx. Refer to documentation
 # for a list of supported languages.
Index: docs/user/metacat/source/install.rst
===================================================================
--- docs/user/metacat/source/install.rst	(revision 7275)
+++ docs/user/metacat/source/install.rst	(revision 7276)
@@ -83,7 +83,7 @@
 Downloading the Metacat Installer is the simplest way to get started with the
 application. To download the installer: 
 
-1.  Browse to the `Metacat Download Page`_. In the Metacat section, select the link to the "GZIP file" (the link should look like: metacat-bin-X.X.X.tar.gz, where X.X.X is the latest version of Metacat e.g., 2.0.0) 
+1.  Browse to the `Metacat Download Page`_. In the Metacat section, select the link to the "GZIP file" (the link should look like: metacat-bin-X.X.X.tar.gz, where X.X.X is the latest version of Metacat e.g., 2.0.1) 
 2.  Save the file locally. 
 3.  Extract the Metacat package files by typing:
 
@@ -115,7 +115,7 @@
 ............................
 To get the Metacat source distribution:
 
-1. Browse to the `Metacat Download Page`_. In the Metacat section, select the link to the Metacat Source code (it will look something like this: metacat-src-X.X.X.tar.gz, where X.X.X is the latest version of Metacat, e.g., 2.0.0).
+1. Browse to the `Metacat Download Page`_. In the Metacat section, select the link to the Metacat Source code (it will look something like this: metacat-src-X.X.X.tar.gz, where X.X.X is the latest version of Metacat, e.g., 2.0.1).
 2. Save the file locally. 
 3. Extract the Metacat package files by typing (replace X.X.X with the current version number): 
 
@@ -843,7 +843,7 @@
 
 1. Browse to the KNB Software Download Page. In the Metacat section, select
    the link that looks like: metacat-bin-X.X.X.zip, where X.X.X is the latest
-   version of Metacat (e.g., 2.0.0).
+   version of Metacat (e.g., 2.0.1).
 
 2. Choose to download and Save the file locally. 
 
Index: docs/user/metacat/source/index.rst
===================================================================
--- docs/user/metacat/source/index.rst	(revision 7275)
+++ docs/user/metacat/source/index.rst	(revision 7276)
@@ -2,7 +2,7 @@
 Metacat Administrator's Guide
 =============================
 
-.. sidebar:: Version: 2.0.0
+.. sidebar:: Version: 2.0.1
 
     .. image:: themes/readable/static/metacat-logo.png
        :height: 130pt
@@ -26,11 +26,11 @@
 - Download Metacat
 
     - Binary Distribution (A war file installation)
-        - GZIP File: metacat-bin-2.0.0.tar.gz_
-        - ZIP File: metacat-bin-2.0.0.zip_
+        - GZIP File: metacat-bin-2.0.1.tar.gz_
+        - ZIP File: metacat-bin-2.0.1.zip_
     - Source Distribution (Full source, requiring build)
-        - GZIP File: metacat-src-2.0.0.tar.gz_
-        - ZIP File: metacat-src-2.0.0.zip_
+        - GZIP File: metacat-src-2.0.1.tar.gz_
+        - ZIP File: metacat-src-2.0.1.zip_
     - `Older versions`_
     
 - For Developers: Metacat `API documentation`_
@@ -39,13 +39,13 @@
 
 .. _API documentation: ./api/index.html
 
-.. _metacat-bin-2.0.0.tar.gz: http://knb.ecoinformatics.org/software/dist/metacat-bin-2.0.0.tar.gz
+.. _metacat-bin-2.0.1.tar.gz: http://knb.ecoinformatics.org/software/dist/metacat-bin-2.0.1.tar.gz
 
-.. _metacat-bin-2.0.0.zip: http://knb.ecoinformatics.org/software/dist/metacat-bin-2.0.0.zip
+.. _metacat-bin-2.0.1.zip: http://knb.ecoinformatics.org/software/dist/metacat-bin-2.0.1.zip
 
-.. _metacat-src-2.0.0.tar.gz: http://knb.ecoinformatics.org/software/dist/metacat-src-2.0.0.tar.gz
+.. _metacat-src-2.0.1.tar.gz: http://knb.ecoinformatics.org/software/dist/metacat-src-2.0.1.tar.gz
 
-.. _metacat-src-2.0.0.zip: http://knb.ecoinformatics.org/software/dist/metacat-src-2.0.0.zip
+.. _metacat-src-2.0.1.zip: http://knb.ecoinformatics.org/software/dist/metacat-src-2.0.1.zip
 
 .. _Older versions: http://knb.ecoinformatics.org/software/dist/
 
Index: build.properties
===================================================================
--- build.properties	(revision 7275)
+++ build.properties	(revision 7276)
@@ -2,7 +2,7 @@
 
 #Version of this build.  This needs to be a dotted numeric version.  For
 #instance 1.9.1 is okay.  1.9.1_rc1 is not.
-metacat.version=2.0.0
+metacat.version=2.0.1
 
 #This is for packaging purposes.  leave it blank for final production release.
 metacat.releaseCandidate=
Index: README
===================================================================
--- README	(revision 7275)
+++ README	(revision 7276)
@@ -8,7 +8,7 @@
 Metacat: XML Metadata and Data Management System
 ------------------------------------------------                      
 
-Version: 2.0.0 Release
+Version: 2.0.1 Release
 
 Send feedback and bugs to: metacat-dev@ecoinformatics.org
                            http://bugzilla.ecoinformatics.org
@@ -53,6 +53,13 @@
 See the file "docs/install.html" for detailed instructions
 for your OS.
 
+Release Notes for 2.0.1:
+------------------------
+This is a minor patch release of Metacat 2.0. Please see the previous release notes for complete information.
+*Addresses an identifier issue during ORE generation for DataONE services
+*Increases compatibility with older EML content and the Xalan XSLT processor
+*Removes XSLT 2.0 support (Saxon)
+
 Release Notes for 2.0.0:
 ------------------------
 This major release includes support for DataONE.
Index: build.xml
===================================================================
--- build.xml	(revision 7275)
+++ build.xml	(revision 7276)
@@ -184,7 +184,7 @@
 		<property name="eml2_0_1-schema-tag" value="RELEASE_EML_2_0_1" />
 		<property name="eml2_1_0-schema-tag" value="RELEASE_EML_2_1_0" />
 		<property name="eml2_1_1-schema-tag" value="RELEASE_EML_2_1_1" />
-		<property name="eml2-style-tag" value="RELEASE_EML_UTILS_1_0_2" />
+		<property name="eml2-style-tag" value="RELEASE_EML_UTILS_1_0_3_RC1" />
 		<property name="eml2_0_0namespace"
 			value="eml://ecoinformatics.org/eml-2.0.0" />
 		<property name="eml2_0_1namespace"