Index: lib/style/images/question-mark.gif
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream

Property changes on: lib/style/images/question-mark.gif
___________________________________________________________________
Deleted: svn:executable
## -1 +0,0 ##
-*
\ No newline at end of property
Deleted: svn:mime-type
## -1 +0,0 ##
-application/octet-stream
\ No newline at end of property
Index: lib/admin/skins-configuration.jsp
===================================================================
--- lib/admin/skins-configuration.jsp	(revision 7423)
+++ lib/admin/skins-configuration.jsp	(revision 7424)
@@ -134,7 +134,7 @@
 				if (fieldType.equals("select")) {
 %>
 				<div class="form-row"> 
-					<img class="question-mark" src="style/images/question-mark.gif" 
+					<img class="question-mark" src="style/images/help.png" 
 						 onClick="helpWindow('<%= request.getContextPath() %>','<%= metaDataProperty.getHelpFile() %>')""/>
 					<div class="textinput-label"><label for="<%= metaDataProperty.getKey() %>" title="<%= metaDataProperty.getDescription() %>"><%= metaDataProperty.getLabel() %></label>  		
 					<select class="textinput" name="<%= skinName %>.<%= metaDataProperty.getKey() %>">
@@ -159,7 +159,7 @@
 				} else if (fieldType.equals("password")) {
 %>	
 				<div class="form-row">
-					<img class="question-mark" src="style/images/question-mark.gif" 
+					<img class="question-mark" src="style/images/help.png" 
 						 onClick="helpWindow('<%= request.getContextPath() %>','<%= metaDataProperty.getHelpFile() %>')"/>
 					<div class="textinput-label"><label for="<%= metaDataProperty.getKey() %>" title="<%= metaDataProperty.getDescription() %>"><%= metaDataProperty.getLabel() %></label></div>
 					<input class="textinput" id="<%= skinName %>.<%= metaDataProperty.getKey() %>" name="<%= skinName %>.<%= metaDataProperty.getKey() %>" 	             		    	    	           		    	             			
@@ -174,7 +174,7 @@
 				} else if (fieldType.equals("checkbox")) {
 %>
 				<div class="form-row">
-					<img class="question-mark" src="style/images/question-mark.gif" 
+					<img class="question-mark" src="style/images/help.png" 
 						 alt="<%= metaDataProperty.getDescription() %>" 
 						 onClick="helpWindow('<%= request.getContextPath() %>','<%= metaDataProperty.getHelpFile() %>')"/>
 					<input class="checkradio" id="<%= skinName %>.<%= metaDataProperty.getKey() %>" name="<%= skinName %>.<%= metaDataProperty.getKey() %>" 	             		    	    	           		    	             			
@@ -198,7 +198,7 @@
 				} else {
 %>
 				<div class="form-row">
-					<img class="question-mark" src="style/images/question-mark.gif" 
+					<img class="question-mark" src="style/images/help.png" 
 						 onClick="helpWindow('<%= request.getContextPath() %>','<%= metaDataProperty.getHelpFile() %>')"/>
 					<label class="textinput-label" for="<%= metaDataProperty.getKey() %>" title="<%= metaDataProperty.getDescription() %>"><%= metaDataProperty.getLabel() %></label>
 					<input class="textinput" id="<%= skinName %>.<%= metaDataProperty.getKey() %>" name="<%= skinName %>.<%= metaDataProperty.getKey() %>" 
Index: lib/admin/replication-configuration-include.jsp
===================================================================
--- lib/admin/replication-configuration-include.jsp	(revision 7423)
+++ lib/admin/replication-configuration-include.jsp	(revision 7424)
@@ -51,7 +51,7 @@
 <form action="<%=request.getContextPath()%>/admin" method="POST" target="bottom">
 
 	<div class="form-row">
-		<img class="question-mark" src="<%=request.getContextPath()%>/style/images/question-mark.gif" 
+		<img class="question-mark" src="<%=request.getContextPath()%>/style/images/help.png" 
 			onClick="helpWindow('<%= request.getContextPath() %>','docs/replication.html')"/>
 		<div class="textinput-label">
 			<label for="rate" title="Rate">Delta T (milliseconds)</label>
@@ -62,7 +62,7 @@
 			value="172800000"/> 
 	</div>
 	<div class="form-row">
-		<img class="question-mark" src="<%=request.getContextPath()%>/style/images/question-mark.gif" 
+		<img class="question-mark" src="<%=request.getContextPath()%>/style/images/help.png" 
 			onClick="helpWindow('<%= request.getContextPath() %>','docs/replication.html')"/>
 		<div class="textinput-label">
 			<label for="firsttime" title="First Time (The format should be 10:00 AM)">First Time</label>
@@ -73,7 +73,7 @@
 			value="10:00 PM"/> 
 	</div>
 	<div class="form-row">
-		<img class="question-mark" src="<%=request.getContextPath()%>/style/images/question-mark.gif" 
+		<img class="question-mark" src="<%=request.getContextPath()%>/style/images/help.png" 
 			onClick="helpWindow('<%= request.getContextPath() %>','docs/replication.html')"/>
 		<div class="textinput-label">
 			<label for="action" title="Action">Timer</label>
@@ -118,7 +118,7 @@
 
 <form action="<%=request.getContextPath()%>/admin" method="POST" target="bottom">
 	<div class="form-row">
-		<img class="question-mark" src="<%=request.getContextPath()%>/style/images/question-mark.gif" 
+		<img class="question-mark" src="<%=request.getContextPath()%>/style/images/help.png" 
 			onClick="helpWindow('<%= request.getContextPath() %>','docs/replication.html')"/>
 		<div class="textinput-label">
 			<label for="subaction" title="Action">&nbsp;</label>
@@ -137,7 +137,7 @@
 			value="delete"/>Remove
 	</div>
 	<div class="form-row">
-		<img class="question-mark" src="<%=request.getContextPath()%>/style/images/question-mark.gif" 
+		<img class="question-mark" src="<%=request.getContextPath()%>/style/images/help.png" 
 			onClick="helpWindow('<%= request.getContextPath() %>','docs/replication.html')"/>
 		<div class="textinput-label">
 			<label for="server" title="Server">Server</label>
@@ -148,7 +148,7 @@
 			value=""/> 
 	</div>
 	<div class="form-row">
-		<img class="question-mark" src="<%=request.getContextPath()%>/style/images/question-mark.gif" 
+		<img class="question-mark" src="<%=request.getContextPath()%>/style/images/help.png" 
 			onClick="helpWindow('<%= request.getContextPath() %>','docs/replication.html')"/>
 		<div class="textinput-label">
 			<label for="replicate" title="Replicate">Replicate metadata?</label>
@@ -167,7 +167,7 @@
 			value="0"/>No
 	</div>
 	<div class="form-row">
-		<img class="question-mark" src="<%=request.getContextPath()%>/style/images/question-mark.gif" 
+		<img class="question-mark" src="<%=request.getContextPath()%>/style/images/help.png" 
 			onClick="helpWindow('<%= request.getContextPath() %>','docs/replication.html')"/>
 		<div class="textinput-label">
 			<label for="datareplicate" title="Replicate data">Replicate data?</label>
@@ -186,7 +186,7 @@
 			value="0"/>No 
 	</div>
 	<div class="form-row">
-		<img class="question-mark" src="<%=request.getContextPath()%>/style/images/question-mark.gif" 
+		<img class="question-mark" src="<%=request.getContextPath()%>/style/images/help.png" 
 			onClick="helpWindow('<%= request.getContextPath() %>','docs/replication.html')"/>
 		<div class="textinput-label">
 			<label for="hub" title="Hub">Localhost is a hub?</label>
Index: lib/admin/properties-configuration.jsp
===================================================================
--- lib/admin/properties-configuration.jsp	(revision 7423)
+++ lib/admin/properties-configuration.jsp	(revision 7424)
@@ -96,7 +96,7 @@
     			if (fieldType.equals("select")) {
 %> 
 				<div class="form-row">
-					<img class="question-mark" src="style/images/question-mark.gif"  
+					<img class="question-mark" src="style/images/help.png"  
 							onClick="helpWindow('<%= request.getContextPath() %>','<%= metaDataProperty.getHelpFile() %>')"/>
      				<div class="textinput-label"><label for="<%= metaDataProperty.getKey() %>"><%= metaDataProperty.getLabel() %></label></div>
 					<select class="textinput" name="<%= metaDataProperty.getKey() %>">
@@ -123,7 +123,7 @@
 				} else if (fieldType.equals("password")) {
 %>
 				<div class="form-row">
-					<img class="question-mark" src="style/images/question-mark.gif"  
+					<img class="question-mark" src="style/images/help.png"  
 	           		       onClick="helpWindow('<%= request.getContextPath() %>','<%= metaDataProperty.getHelpFile() %>')"/>
 					<div class="textinput-label"><label for="<%= metaDataProperty.getKey() %>" ><%= metaDataProperty.getLabel() %></label></div>
 					<input class="textinput" id="<%= metaDataProperty.getKey() %>" 
@@ -143,7 +143,7 @@
 %>
 				<div class="form-row">
 					<img class="question-mark" class=question-mark 
-					     src="style/images/question-mark.gif" 
+					     src="style/images/help.png" 
 					     onClick="helpWindow('<%= request.getContextPath() %>','<%= metaDataProperty.getHelpFile() %>')"/>
 					<div class="textinput-label"><label for="<%= metaDataProperty.getKey() %> "><%= metaDataProperty.getLabel() %></label>	</div>					
 					<input class="textinput" id="<%= metaDataProperty.getKey() %>" 
Index: lib/admin/auth-configuration.jsp
===================================================================
--- lib/admin/auth-configuration.jsp	(revision 7423)
+++ lib/admin/auth-configuration.jsp	(revision 7424)
@@ -94,7 +94,7 @@
     			if (fieldType.equals("select")) {
 %> 
 				<div class="form-row">
-					<img class="question-mark" src="style/images/question-mark.gif" 
+					<img class="question-mark" src="style/images/help.png" 
 	           		       onClick="helpWindow('<%= request.getContextPath() %>','<%= metaDataProperty.getHelpFile() %>')"/>
      				<div class="textinput-label"><label for="<%= metaDataProperty.getKey() %>"><%= metaDataProperty.getLabel() %></label></div>	   	
 					<select class="textinput" name="<%= metaDataProperty.getKey() %>">
@@ -118,7 +118,7 @@
 				} else if (fieldType.equals("password")) {
 %>
 				<div class="form-row">
-					<img class="question-mark" src="style/images/question-mark.gif"  
+					<img class="question-mark" src="style/images/help.png"  
 	           		     onClick="helpWindow('<%= request.getContextPath() %>','<%= metaDataProperty.getHelpFile() %>')"/>
 					<div class="textinput-label"><label for="<%= metaDataProperty.getKey() %>"><%= metaDataProperty.getLabel() %></label></div>	
 					<input class="textinput" id="<%= metaDataProperty.getKey() %>" name="<%= metaDataProperty.getKey() %>" 	             		    	    	           		    	             			
@@ -134,7 +134,7 @@
 				} else {
 %>
 				<div class="form-row">
-					<img class="question-mark" src="style/images/question-mark.gif"  
+					<img class="question-mark" src="style/images/help.png"  
 					     onClick="helpWindow('<%= request.getContextPath() %>','<%= metaDataProperty.getHelpFile() %>')"/>
 					<div class="textinput-label"><label for="<%= metaDataProperty.getKey() %>"><%= metaDataProperty.getLabel() %></label></div>					
 					<input class="textinput" id="<%= metaDataProperty.getKey() %>" name="<%= metaDataProperty.getKey() %>" 
Index: lib/admin/geoserver-configuration.jsp
===================================================================
--- lib/admin/geoserver-configuration.jsp	(revision 7423)
+++ lib/admin/geoserver-configuration.jsp	(revision 7424)
@@ -61,7 +61,7 @@
 	<hr class="config-line">
 	
 	<div class="form-row">
-		<img class="question-mark" src="style/images/question-mark.gif" 
+		<img class="question-mark" src="style/images/help.png" 
 			onClick="helpWindow('<%= request.getContextPath() %>','docs/geoserver.html#GEOSERVER_DATA_DIR')"/>
 		<div class="textinput-label"><label for="geoserver.context" title="Geoserver data directory">Geoserver Data Directory</label></div>
 		<input class="textinput" id="geoserver.GEOSERVER_DATA_DIR" 
@@ -69,7 +69,7 @@
 				value="<%= request.getAttribute("geoserver.GEOSERVER_DATA_DIR") %>"/> 
 	</div>
 	<div class="form-row">
-		<img class="question-mark" src="style/images/question-mark.gif" 
+		<img class="question-mark" src="style/images/help.png" 
 			onClick="helpWindow('<%= request.getContextPath() %>','docs/geoserver.html#GEOSERVER_REGENERATE_CACHE')"/>
 		<div class="textinput-label"><label for="spatial.regenerateCacheOnRestart" title="Regenerate spatial cache">Regenerate spatial cache</label></div>
 
@@ -89,7 +89,7 @@
 
 	</div>
 	<div class="form-row">
-		<img class="question-mark" src="style/images/question-mark.gif" 
+		<img class="question-mark" src="style/images/help.png" 
 			onClick="helpWindow('<%= request.getContextPath() %>','docs/geoserver.html#GeoserverContext')"/>
 		<div class="textinput-label"><label for="geoserver.context" title="Geoserver context">Context</label></div>
 		<input class="textinput" id="geoserver.context" 
@@ -98,7 +98,7 @@
 	</div>
 	<hr class="config-line">
 	<div class="form-row">
-				<img class="question-mark" src="style/images/question-mark.gif" 
+				<img class="question-mark" src="style/images/help.png" 
 	           		 onClick="helpWindow('<%= request.getContextPath() %>','docs/geoserver.html#GeoserverUpdatePassword')"/>
 				<div class="textinput-label"><label for="geoserver.username" title="Geoserver user name">User Name</label></div>
 				<input class="textinput" id="geoserver.username" 
@@ -106,7 +106,7 @@
 	           		   value="<%= request.getAttribute("geoserver.username") %>"/> 
 	</div>
 	<div class="form-row">
-				<img class="question-mark" src="style/images/question-mark.gif" 
+				<img class="question-mark" src="style/images/help.png" 
 	           		 onClick="helpWindow('<%= request.getContextPath() %>','docs/geoserver.html#GeoserverUpdatePassword')"/>
 				<div class="textinput-label"><label for="geoserver.password" title="Geoserver user name">Password</label></div>
 				<input class="textinput"  id="geoserver.password" 
Index: lib/admin/organization-configuration.jsp
===================================================================
--- lib/admin/organization-configuration.jsp	(revision 7423)
+++ lib/admin/organization-configuration.jsp	(revision 7424)
@@ -112,7 +112,7 @@
 	           			alt="List of administrators for this installation in LDAP DN syntax (colon separated)"/>	           		    
 				</td>
 				<td class="config-question-mark">
-					<img src="style/images/question-mark.gif" 
+					<img src="style/images/help.png" 
 						 alt="<%= orgProperty.getDescription() %>" 
 						 onClick="helpWindow('<%= request.getContextPath() %>', '<%= orgProperty.getHelpFile() %>')"/>
 				</td>
Index: lib/admin/dataone-configuration.jsp
===================================================================
--- lib/admin/dataone-configuration.jsp	(revision 7423)
+++ lib/admin/dataone-configuration.jsp	(revision 7424)
@@ -77,7 +77,7 @@
 	
 	<hr class="config-line">
 	<div class="form-row">
-		<img class="question-mark" src="style/images/question-mark.gif" 
+		<img class="question-mark" src="style/images/help.png" 
 			onClick="helpWindow('<%= request.getContextPath() %>','docs/dataone.html#configuring-metacat-as-a-member-node')"/>
 		<div class="textinput-label"><label for="dataone.mn.services.enabled" title="Enable DataONE Member Node Services">Enable DataONE Services</label></div>
 
@@ -114,7 +114,7 @@
 	<hr class="config-line">
 	
 	<div class="form-row">
-		<img class="question-mark" src="style/images/question-mark.gif" 
+		<img class="question-mark" src="style/images/help.png" 
 			onClick="helpWindow('<%= request.getContextPath() %>','docs/dataone.html#configuring-metacat-as-a-member-node')"/>
 		<div class="textinput-label">
 			<label for="dataone.nodeName" title="A short, human-readable name for this node">Node Name</label>
@@ -125,7 +125,7 @@
 			value="<%= request.getAttribute("dataone.nodeName") %>"/> 
 	</div>
 	<div class="form-row">
-		<img class="question-mark" src="style/images/question-mark.gif" 
+		<img class="question-mark" src="style/images/help.png" 
 			onClick="helpWindow('<%= request.getContextPath() %>','docs/dataone.html#configuring-metacat-as-a-member-node')"/>
 		<div class="textinput-label">
 			<label for="dataone.nodeDescription" title="A brief description of the node and its holdings">Node Description</label>
@@ -136,7 +136,7 @@
 			value="<%= request.getAttribute("dataone.nodeDescription") %>"/> 
 	</div>
 	<div class="form-row">
-		<img class="question-mark" src="style/images/question-mark.gif" 
+		<img class="question-mark" src="style/images/help.png" 
 			onClick="helpWindow('<%= request.getContextPath() %>','docs/dataone.html#configuring-metacat-as-a-member-node')"/>
 		<div class="textinput-label">
 			<label for="dataone.nodeId" title="The DataONE-assigned unique identifier for this node">Node Identifier</label>
@@ -147,7 +147,7 @@
 			value="<%= request.getAttribute("dataone.nodeId") %>"/>
 	</div>
 	<div class="form-row">
-		<img class="question-mark" src="style/images/question-mark.gif" 
+		<img class="question-mark" src="style/images/help.png" 
 			onClick="helpWindow('<%= request.getContextPath() %>','docs/dataone.html#configuring-metacat-as-a-member-node')"/>
 		<div class="textinput-label">
 			<label for="dataone.subject" title="The account in Distinguished Name (DN) format that represents this node in all service interactions">Node Subject</label>
@@ -158,7 +158,7 @@
 			value="<%= request.getAttribute("dataone.subject") %>"/> 
 	</div>
 	<div class="form-row">
-		<img class="question-mark" src="style/images/question-mark.gif" 
+		<img class="question-mark" src="style/images/help.png" 
 			onClick="helpWindow('<%= request.getContextPath() %>','docs/dataone.html#configuring-metacat-as-a-member-node')"/>
 		<div class="textinput-label">
 			<label for="dataone.contactSubject" title="A verified account in DN format to be used as the primary node contact for this node">Contact Subject</label>
@@ -169,7 +169,7 @@
 			value="<%= request.getAttribute("dataone.contactSubject") %>"/> 
 	</div>
 	<div class="form-row">
-		<img class="question-mark" src="style/images/question-mark.gif" 
+		<img class="question-mark" src="style/images/help.png" 
 			onClick="helpWindow('<%= request.getContextPath() %>','docs/dataone.html#configuring-metacat-as-a-member-node')"/>
 		<div class="textinput-label">
 			<label for="D1Client.certificate.file" title="The absolute path to the X.509 certificate used to authenticate this node">Node Certificate Path</label>
@@ -180,7 +180,7 @@
 			value="<%= request.getAttribute("D1Client.certificate.file") %>"/> 
 	</div>
 	<div class="form-row">
-		<img class="question-mark" src="style/images/question-mark.gif" 
+		<img class="question-mark" src="style/images/help.png" 
 			onClick="helpWindow('<%= request.getContextPath() %>','docs/dataone.html#configuring-metacat-as-a-member-node')"/>
 		<div class="textinput-label"><label for="dataone.nodeSynchronize" title="Enable DataONE metadata synchronization">Enable Metadata Synchronization</label></div>
 
@@ -215,7 +215,7 @@
 	The schedule on which metadata should be synchronized with DataONE, expressed as a crontab entry.
 	<hr class="config-line">
 	<div class="form-row">
-		<img class="question-mark" src="style/images/question-mark.gif" 
+		<img class="question-mark" src="style/images/help.png" 
 			onClick="helpWindow('<%= request.getContextPath() %>','docs/dataone.html#configuring-metacat-as-a-member-node')"/>
 		<div class="textinput-label">
 			<label for="dataone.nodeSynchronization.schedule.year" title="Year">Year</label>
@@ -226,7 +226,7 @@
 			value="<%= request.getAttribute("dataone.nodeSynchronization.schedule.year") %>"/> 
 	</div>
 	<div class="form-row">
-		<img class="question-mark" src="style/images/question-mark.gif" 
+		<img class="question-mark" src="style/images/help.png" 
 			onClick="helpWindow('<%= request.getContextPath() %>','docs/dataone.html#configuring-metacat-as-a-member-node')"/>
 		<div class="textinput-label">
 			<label for="dataone.nodeSynchronization.schedule.mon" title="Month">Month</label>
@@ -237,7 +237,7 @@
 			value="<%= request.getAttribute("dataone.nodeSynchronization.schedule.mon") %>"/> 
 	</div>
 	<div class="form-row">
-		<img class="question-mark" src="style/images/question-mark.gif" 
+		<img class="question-mark" src="style/images/help.png" 
 			onClick="helpWindow('<%= request.getContextPath() %>','docs/dataone.html#configuring-metacat-as-a-member-node')"/>
 		<div class="textinput-label">
 			<label for="dataone.nodeSynchronization.schedule.mday" title="Day of Month">Day of Month</label>
@@ -248,7 +248,7 @@
 			value="<%= request.getAttribute("dataone.nodeSynchronization.schedule.mday") %>"/> 
 	</div>
 	<div class="form-row">
-		<img class="question-mark" src="style/images/question-mark.gif" 
+		<img class="question-mark" src="style/images/help.png" 
 			onClick="helpWindow('<%= request.getContextPath() %>','docs/dataone.html#configuring-metacat-as-a-member-node')"/>
 		<div class="textinput-label">
 			<label for="dataone.nodeSynchronization.schedule.wday" title="Day of Week">Day of Week</label>
@@ -259,7 +259,7 @@
 			value="<%= request.getAttribute("dataone.nodeSynchronization.schedule.wday") %>"/> 
 	</div>
 	<div class="form-row">
-		<img class="question-mark" src="style/images/question-mark.gif" 
+		<img class="question-mark" src="style/images/help.png" 
 			onClick="helpWindow('<%= request.getContextPath() %>','docs/dataone.html#configuring-metacat-as-a-member-node')"/>
 		<div class="textinput-label">
 			<label for="dataone.nodeSynchronization.schedule.hour" title="Hours">Hours</label>
@@ -270,7 +270,7 @@
 			value="<%= request.getAttribute("dataone.nodeSynchronization.schedule.hour") %>"/> 
 	</div>
 	<div class="form-row">
-		<img class="question-mark" src="style/images/question-mark.gif" 
+		<img class="question-mark" src="style/images/help.png" 
 			onClick="helpWindow('<%= request.getContextPath() %>','docs/dataone.html#configuring-metacat-as-a-member-node')"/>
 		<div class="textinput-label">
 			<label for="dataone.nodeSynchronization.schedule.min" title="Minutes">Minutes</label>
@@ -281,7 +281,7 @@
 			value="<%= request.getAttribute("dataone.nodeSynchronization.schedule.min") %>"/> 
 	</div>
 	<div class="form-row">
-		<img class="question-mark" src="style/images/question-mark.gif" 
+		<img class="question-mark" src="style/images/help.png" 
 			onClick="helpWindow('<%= request.getContextPath() %>','docs/dataone.html#configuring-metacat-as-a-member-node')"/>
 		<div class="textinput-label">
 			<label for="dataone.nodeSynchronization.schedule.sec" title="Seconds">Seconds</label>
@@ -298,7 +298,7 @@
 	on this Member Node.
 	<hr class="config-line">
 	<div class="form-row">
-		<img class="question-mark" src="style/images/question-mark.gif" 
+		<img class="question-mark" src="style/images/help.png" 
 			onClick="helpWindow('<%= request.getContextPath() %>','docs/dataone.html#configuring-metacat-as-a-member-node')"/>
 		<div class="textinput-label"><label for="dataone.nodeReplicate" title="Store replicas from other Member Nodes">Accept and Store Replicas</label></div>
 
@@ -328,7 +328,7 @@
 	<hr class="config-line">
 
  	<div class="form-row">
-		<img class="question-mark" src="style/images/question-mark.gif" 
+		<img class="question-mark" src="style/images/help.png" 
 			onClick="helpWindow('<%= request.getContextPath() %>','docs/dataone.html#configuring-metacat-as-a-member-node')"/>
 		<div class="textinput-label">
 			<label for="dataone.replicationpolicy.default.numreplicas" title="Default Number of Replicas to be created for local objects">Default Number of Replicas</label>
@@ -339,7 +339,7 @@
 			value="<%= request.getAttribute("dataone.replicationpolicy.default.numreplicas") %>"/> 
 	</div>
   	<div class="form-row">
-		<img class="question-mark" src="style/images/question-mark.gif" 
+		<img class="question-mark" src="style/images/help.png" 
 			onClick="helpWindow('<%= request.getContextPath() %>','docs/dataone.html#configuring-metacat-as-a-member-node')"/>
 		<div class="textinput-label">
 			<label for="dataone.replicationpolicy.default.preferredNodeList" title="A comma-separated list of preferred nodes to house replicas">Default Preferred Nodes</label>
@@ -350,7 +350,7 @@
 			value="<%= request.getAttribute("dataone.replicationpolicy.default.preferredNodeList") %>"/> 
 	</div>
    	<div class="form-row">
-		<img class="question-mark" src="style/images/question-mark.gif" 
+		<img class="question-mark" src="style/images/help.png" 
 			onClick="helpWindow('<%= request.getContextPath() %>','docs/dataone.html#configuring-metacat-as-a-member-node')"/>
 		<div class="textinput-label">
 			<label for="dataone.replicationpolicy.default.blockedNodeList" title="A comma-separated list of blocked nodes never to house replicas">Default Blocked Nodes</label>
Index: lib/style/images/help.png
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = image/png

Property changes on: lib/style/images/help.png
___________________________________________________________________
Added: svn:mime-type
## -0,0 +1 ##
+image/png
\ No newline at end of property